FSEditLogOpCodes (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, enum: FSEditLogOpCodes

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class FSEditLogOpCodes

java.lang.Object
java.lang.Enum<FSEditLogOpCodes>
org.apache.hadoop.hdfs.server.namenode.FSEditLogOpCodes

All Implemented Interfaces:
  `Serializable`, `Comparable<FSEditLogOpCodes>`, `Constable`

@Private @Unstable public enum FSEditLogOpCodes extends Enum<FSEditLogOpCodes>
Op codes for edits file

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OP_ADD`
  `OP_ADD_BLOCK`
  `OP_ADD_CACHE_DIRECTIVE`
  `OP_ADD_CACHE_POOL`
  `OP_ADD_ERASURE_CODING_POLICY`
  `OP_ALLOCATE_BLOCK_ID`
  `OP_ALLOW_SNAPSHOT`
  `OP_APPEND`
  `OP_CANCEL_DELEGATION_TOKEN`
  `OP_CLEAR_NS_QUOTA`
  `OP_CLOSE`
  `OP_CONCAT_DELETE`
  `OP_CREATE_SNAPSHOT`
  `OP_DATANODE_ADD`
  Deprecated.
  `OP_DATANODE_REMOVE`
  Deprecated.
  `OP_DELETE`
  `OP_DELETE_SNAPSHOT`
  `OP_DISABLE_ERASURE_CODING_POLICY`
  `OP_DISALLOW_SNAPSHOT`
  `OP_ENABLE_ERASURE_CODING_POLICY`
  `OP_END_LOG_SEGMENT`
  `OP_GET_DELEGATION_TOKEN`
  `OP_INVALID`
  `OP_MKDIR`
  `OP_MODIFY_CACHE_DIRECTIVE`
  `OP_MODIFY_CACHE_POOL`
  `OP_REASSIGN_LEASE`
  `OP_REMOVE_CACHE_DIRECTIVE`
  `OP_REMOVE_CACHE_POOL`
  `OP_REMOVE_ERASURE_CODING_POLICY`
  `OP_REMOVE_XATTR`
  `OP_RENAME`
  `OP_RENAME_OLD`
  `OP_RENAME_SNAPSHOT`
  `OP_RENEW_DELEGATION_TOKEN`
  `OP_ROLLING_UPGRADE_FINALIZE`
  `OP_ROLLING_UPGRADE_START`
  `OP_SET_ACL`
  `OP_SET_GENSTAMP_V1`
  `OP_SET_GENSTAMP_V2`
  `OP_SET_NS_QUOTA`
  `OP_SET_OWNER`
  `OP_SET_PERMISSIONS`
  `OP_SET_QUOTA`
  `OP_SET_QUOTA_BY_STORAGETYPE`
  `OP_SET_REPLICATION`
  `OP_SET_STORAGE_POLICY`
  `OP_SET_XATTR`
  `OP_START_LOG_SEGMENT`
  `OP_SYMLINK`
  `OP_TIMES`
  `OP_TRUNCATE`
  `OP_UPDATE_BLOCKS`
  `OP_UPDATE_MASTER_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FSEditLogOpCodes`
  `fromByte(byte opCode)`
  Converts byte to FSEditLogOpCodes enum value
  `Class<? extends FSEditLogOp>`
  `getOpClass()`
  `byte`
  `getOpCode()`
  return the byte value of the enum
  `static FSEditLogOpCodes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FSEditLogOpCodes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OP_ADD

    public static final FSEditLogOpCodes OP_ADD

  - ### OP_RENAME_OLD

    public static final FSEditLogOpCodes OP_RENAME_OLD

  - ### OP_DELETE

    public static final FSEditLogOpCodes OP_DELETE

  - ### OP_MKDIR

    public static final FSEditLogOpCodes OP_MKDIR

  - ### OP_SET_REPLICATION

    public static final FSEditLogOpCodes OP_SET_REPLICATION

  - ### OP_DATANODE_ADD

    @Deprecated public static final FSEditLogOpCodes OP_DATANODE_ADD
    Deprecated.

  - ### OP_DATANODE_REMOVE

    @Deprecated public static final FSEditLogOpCodes OP_DATANODE_REMOVE
    Deprecated.

  - ### OP_SET_PERMISSIONS

    public static final FSEditLogOpCodes OP_SET_PERMISSIONS

  - ### OP_SET_OWNER

    public static final FSEditLogOpCodes OP_SET_OWNER

  - ### OP_CLOSE

    public static final FSEditLogOpCodes OP_CLOSE

  - ### OP_SET_GENSTAMP_V1

    public static final FSEditLogOpCodes OP_SET_GENSTAMP_V1

  - ### OP_SET_NS_QUOTA

    public static final FSEditLogOpCodes OP_SET_NS_QUOTA

  - ### OP_CLEAR_NS_QUOTA

    public static final FSEditLogOpCodes OP_CLEAR_NS_QUOTA

  - ### OP_TIMES

    public static final FSEditLogOpCodes OP_TIMES

  - ### OP_SET_QUOTA

    public static final FSEditLogOpCodes OP_SET_QUOTA

  - ### OP_RENAME

    public static final FSEditLogOpCodes OP_RENAME

  - ### OP_CONCAT_DELETE

    public static final FSEditLogOpCodes OP_CONCAT_DELETE

  - ### OP_SYMLINK

    public static final FSEditLogOpCodes OP_SYMLINK

  - ### OP_GET_DELEGATION_TOKEN

    public static final FSEditLogOpCodes OP_GET_DELEGATION_TOKEN

  - ### OP_RENEW_DELEGATION_TOKEN

    public static final FSEditLogOpCodes OP_RENEW_DELEGATION_TOKEN

  - ### OP_CANCEL_DELEGATION_TOKEN

    public static final FSEditLogOpCodes OP_CANCEL_DELEGATION_TOKEN

  - ### OP_UPDATE_MASTER_KEY

    public static final FSEditLogOpCodes OP_UPDATE_MASTER_KEY

  - ### OP_REASSIGN_LEASE

    public static final FSEditLogOpCodes OP_REASSIGN_LEASE

  - ### OP_END_LOG_SEGMENT

    public static final FSEditLogOpCodes OP_END_LOG_SEGMENT

  - ### OP_START_LOG_SEGMENT

    public static final FSEditLogOpCodes OP_START_LOG_SEGMENT

  - ### OP_UPDATE_BLOCKS

    public static final FSEditLogOpCodes OP_UPDATE_BLOCKS

  - ### OP_CREATE_SNAPSHOT

    public static final FSEditLogOpCodes OP_CREATE_SNAPSHOT

  - ### OP_DELETE_SNAPSHOT

    public static final FSEditLogOpCodes OP_DELETE_SNAPSHOT

  - ### OP_RENAME_SNAPSHOT

    public static final FSEditLogOpCodes OP_RENAME_SNAPSHOT

  - ### OP_ALLOW_SNAPSHOT

    public static final FSEditLogOpCodes OP_ALLOW_SNAPSHOT

  - ### OP_DISALLOW_SNAPSHOT

    public static final FSEditLogOpCodes OP_DISALLOW_SNAPSHOT

  - ### OP_SET_GENSTAMP_V2

    public static final FSEditLogOpCodes OP_SET_GENSTAMP_V2

  - ### OP_ALLOCATE_BLOCK_ID

    public static final FSEditLogOpCodes OP_ALLOCATE_BLOCK_ID

  - ### OP_ADD_BLOCK

    public static final FSEditLogOpCodes OP_ADD_BLOCK

  - ### OP_ADD_CACHE_DIRECTIVE

    public static final FSEditLogOpCodes OP_ADD_CACHE_DIRECTIVE

  - ### OP_REMOVE_CACHE_DIRECTIVE

    public static final FSEditLogOpCodes OP_REMOVE_CACHE_DIRECTIVE

  - ### OP_ADD_CACHE_POOL

    public static final FSEditLogOpCodes OP_ADD_CACHE_POOL

  - ### OP_MODIFY_CACHE_POOL

    public static final FSEditLogOpCodes OP_MODIFY_CACHE_POOL

  - ### OP_REMOVE_CACHE_POOL

    public static final FSEditLogOpCodes OP_REMOVE_CACHE_POOL

  - ### OP_MODIFY_CACHE_DIRECTIVE

    public static final FSEditLogOpCodes OP_MODIFY_CACHE_DIRECTIVE

  - ### OP_SET_ACL

    public static final FSEditLogOpCodes OP_SET_ACL

  - ### OP_ROLLING_UPGRADE_START

    public static final FSEditLogOpCodes OP_ROLLING_UPGRADE_START

  - ### OP_ROLLING_UPGRADE_FINALIZE

    public static final FSEditLogOpCodes OP_ROLLING_UPGRADE_FINALIZE

  - ### OP_SET_XATTR

    public static final FSEditLogOpCodes OP_SET_XATTR

  - ### OP_REMOVE_XATTR

    public static final FSEditLogOpCodes OP_REMOVE_XATTR

  - ### OP_SET_STORAGE_POLICY

    public static final FSEditLogOpCodes OP_SET_STORAGE_POLICY

  - ### OP_TRUNCATE

    public static final FSEditLogOpCodes OP_TRUNCATE

  - ### OP_APPEND

    public static final FSEditLogOpCodes OP_APPEND

  - ### OP_SET_QUOTA_BY_STORAGETYPE

    public static final FSEditLogOpCodes OP_SET_QUOTA_BY_STORAGETYPE

  - ### OP_ADD_ERASURE_CODING_POLICY

    public static final FSEditLogOpCodes OP_ADD_ERASURE_CODING_POLICY

  - ### OP_ENABLE_ERASURE_CODING_POLICY

    public static final FSEditLogOpCodes OP_ENABLE_ERASURE_CODING_POLICY

  - ### OP_DISABLE_ERASURE_CODING_POLICY

    public static final FSEditLogOpCodes OP_DISABLE_ERASURE_CODING_POLICY

  - ### OP_REMOVE_ERASURE_CODING_POLICY

    public static final FSEditLogOpCodes OP_REMOVE_ERASURE_CODING_POLICY

  - ### OP_INVALID

    public static final FSEditLogOpCodes OP_INVALID

- ## Method Details

  - ### values

    public static FSEditLogOpCodes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FSEditLogOpCodes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOpCode

    public byte getOpCode()
    return the byte value of the enum
    Returns:
      the byte value of the enum

  - ### getOpClass

    public Class<? extends FSEditLogOp> getOpClass()

  - ### fromByte

    public static FSEditLogOpCodes fromByte(byte opCode)
    Converts byte to FSEditLogOpCodes enum value
    Parameters:
      `opCode` - get enum for this opCode
    Returns:
      enum with byte value of opCode